Subject: Re: More git status --porcelain lossage

From: David Aguilar <[email-masked]>
Date: Sun, 11 Apr 2010 11:04:06 +0000 (UTC)

On Sun, Apr 11, 2010 at 12:28:36AM +0200, Paolo Bonzini wrote:
> On 04/10/2010 10:31 PM, Martin Langhoff wrote:
>> On Sat, Apr 10, 2010 at 3:41 PM, Eric Raymond<[email-masked]>  wrote:
>>>> I could understand providing JSON format, specified using --json
>>>> option.
>>>
>>> You know, that's actually an interesting idea.  I mentioned it
>>> previously as the not-XML if we want to build on a metaprotocol;
>>
>> One issue is that there's no stream-parser JSON implementations that
>> I'm aware of.
>
> Here is one.  It's ugly as hell, you're warned.  The only missing piece  
> is making the stack state resizable.
>
> Paolo

Here's a fairly popular stream parser:

http://lloyd.github.com/yajl/

Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator. YAJL is released under the BSD
license.

The license is BSD-with-advertising-clause.
Perhaps the author did not know about modified BSD.

-- 
		David